#ifndef __providerpref_h__
#define __providerpref_h__
#include <qstring.h>
#include <qwidget.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qcolor.h>
#include <qlayout.h>
#include <kcolorbtn.h>

class providerPref : public QWidget
{
	Q_OBJECT

	public:
		providerPref(QWidget *parent=0,const QString &p=0);
		~providerPref();

		QString& getDevice(void)		{return(device);		}
		QString& getComCon(void)		{return(comCon);		}
		QString& getComDiscon(void)		{return(comDiscon);		}
		QString& getName(void)			{return(providerName);	}
		int 	 getNumber(void)		{return(ID);			}
		QColor&	 getInColor(void)		{return(inColor);		}
		QColor&	 getOutColor(void)		{return(outColor);		}

		void setNumber(int);

	protected:

	public slots:
		void removeClicked(void);
		void setDevice(const QString &s)		{device=s;}
		void setComCon(const QString &s)		{comCon=s;}
		void setComDiscon(const QString &s)		{comDiscon=s;}
		void setInColor(const QColor &c);
		void setOutColor(const QColor &c);
		void writeLineEdits(void);

	signals:
		void remove(int);

	private:
		QString providerName;
		int ID;
		QLabel *l1,*l2,*l3,*l4,*l5;
		QLineEdit *lineDev;
		QLineEdit *lineComCon;
		QLineEdit *lineComDiscon;
		QPushButton *buttonRemove;
		QGridLayout *grid;

#ifdef INFO_LABEL
		QLabel *info;
#endif

		QString device;
		QString comCon;
		QString comDiscon;

		KColorButton *inButton;
		KColorButton *outButton;

		QColor inColor;
		QColor outColor;
};

#endif
